Arch::Test::Framework(3pm)

NAME
Arch::Test::Framework - A test framework for Arch-Perl

SYNOPSIS
    use Arch::Test::Framework;

    my $fw = Arch::Test::Framework->new;

    my $archive = $fw->make_archive;
    my $version = $archive->make_version();

    my $tree = $fw->make_tree($version);

    #
    # do something with $tree
    #

    $tree->import('initial import');

DESCRIPTION
Arch::Test::Framework is a framework to quickly generate testing data (archives, versions, trees, changesets, etc) for arch-perl unit tests.

METHODS
new, arch_uid, home_dir, library_dir, archives_dir, trees_dir, make_archive, make_category, make_branch, make_version, make_tree.

new [%args]
    Create a new arch-perl test environment.

    Valid keys for %args are home to specify an existing test environment to reuse, library to specify a different revision library path, archives to specify a different archives directory, and trees to specify a differente project tree directory. The default values are "$home/library", "$home/archives", and "$home/trees" respectively.

    A different arch user id can be selected with the userid key, the default is "Arch Perl Test <arch-perl-test@example.com>".

arch_uid
home_dir
library_dir
archives_dir
trees_dir
    These methods return the environment parameters as initialized by new.

make_archive [archive_name]
    Create a new archive in the archives directory. If archive_name is not specified a unique name is generated. The archive name is returned. Returns an Arch::Test::Archive reference for the archive.

make_tree version [name]
    Create and initialize ("tla init-tree") a new project tree for version. I name is not specified, a unique identifier will be generated. Returns an Arch::Test::Tree reference for the project tree.

AUTHORS
Mikhael Goikhman (migo@homemail.com--Perl-GPL/arch-perl--devel).

Enno Cramer (uebergeek@web.de--2003/arch-perl--devel).